commit d02bc9fbc65c3a4505ae7b6f4acb8cebd5bed29a
Author: freddy77 <freddy77>
Date:   Fri Nov 27 18:01:48 2009 +0000

    Fix SQL_GUID length

diff --git a/ChangeLog b/ChangeLog
index 86b932a..6c79f91 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Nov 27 19:01:33 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc_util.c src/odbc/unittests/describecol.in:
+	- Fix SQL_GUID length
+
 Fri Nov 27 17:15:36 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c src/odbc/unittests/getdata.c:
 	- Fix SQLGetData from fixed to CHAR not returning always
@@ -1922,4 +1926,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2890 2009/11/27 16:16:38 freddy77 Exp $
+$Id: ChangeLog,v 1.2891 2009/11/27 18:01:48 freddy77 Exp $
diff --git a/src/odbc/odbc_util.c b/src/odbc/odbc_util.c
index 901cab2..99ce907 100644
--- a/src/odbc/odbc_util.c
+++ b/src/odbc/odbc_util.c
@@ -39,7 +39,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc_util.c,v 1.109 2009/08/18 15:11:12 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc_util.c,v 1.110 2009/11/27 18:01:48 freddy77 Exp $");
 
 /**
  * \ingroup odbc_api
@@ -519,7 +519,7 @@ odbc_set_sql_type_info(TDSCOLUMN * col, struct _drecord *drec, SQLINTEGER odbc_v
 #if (ODBCVER >= 0x0300)
 	case SYBUNIQUE:
 		/* FIXME for Sybase ?? */
-		SET_INFO("uniqueidentifier", "'", "'");
+		SET_INFO2("uniqueidentifier", "'", "'", 36);
 	case SYBVARIANT:
 		/* SET_INFO("sql_variant", "", ""); */
 		break;
diff --git a/src/odbc/unittests/describecol.in b/src/odbc/unittests/describecol.in
index b1aaa7f..d4ae363 100644
--- a/src/odbc/unittests/describecol.in
+++ b/src/odbc/unittests/describecol.in
@@ -448,6 +448,15 @@ attr SQL_DESC_PRECISION 4096
 attr SQL_DESC_SCALE 0
 attr SQL_DESC_DISPLAY_SIZE 8192
 
+select uniqueidentifier 'AAAAAAAA-BBBB-CCCC-DDDD-EEEEEEEEEEEE'
+attr SQL_COLUMN_LENGTH 16
+attr SQL_COLUMN_PRECISION 36
+attr SQL_COLUMN_SCALE 0
+attr SQL_DESC_LENGTH 36
+attr SQL_DESC_OCTET_LENGTH 16
+attr SQL_DESC_PRECISION 36
+attr SQL_DESC_SCALE 0
+attr SQL_DESC_DISPLAY_SIZE 36
 
 
 

